// Vzorový skeč
// sériová komunikace přes bluetooth modul

#include <LiquidCrystal.h>
LiquidCrystal lcd(11, 12, 10, 9, 8, 7);

void setup()
{
lcd.begin(16,2);
lcd.print("Test Komunikace");
// Start komunikace
Serial.begin(115200); 
delay(1000);
}

String prijato;

void loop()
{
// pokud přichází nějaká data přes BT,
// je zahájeno jejich ukládání
  prijato = "";  
  if (Serial.available()) 
    {
    lcd.clear();
    lcd.print("Prijato:");
    lcd.setCursor(0,1);
    delay(100);
    while (Serial.available() > 0) 
      {
      // každý přijatý znak je přidán k řetězci prijato  
      prijato = prijato + char(Serial.read());
      }
    // zobrazení řetězce na LCD a odeslání zpět přes BT
    lcd.print(prijato);
    prijato = "Prijato: " + prijato;
    Serial.println(prijato);
    }
}



