// Vzorový skeč
// Plynulé ovládání motorů

// přiřazení pinů 
#define R_MOTOR_A 3 // pwm
#define R_MOTOR_B 4 // bez pwm
#define L_MOTOR_A 5 // pwm
#define L_MOTOR_B 6 // pwm

// Pravý motor:
// vpřed
void R_MOTOR_FWD(int pwm) 
{
analogWrite(R_MOTOR_A, pwm); 
digitalWrite(R_MOTOR_B, LOW);
}

// stop
void R_MOTOR_STOP()
{
digitalWrite(R_MOTOR_A, LOW); 
digitalWrite(R_MOTOR_B, LOW);
}

// vzad
void R_MOTOR_REV(int pwm) 
{
pwm = 255 - pwm;
analogWrite(R_MOTOR_A, pwm); 
digitalWrite(R_MOTOR_B, HIGH);  
}

// Levý motor:
// vpřed
void L_MOTOR_FWD(int pwm)
{
analogWrite(L_MOTOR_A, pwm); 
digitalWrite(L_MOTOR_B, LOW);
}

// stop
void L_MOTOR_STOP()
{
digitalWrite(L_MOTOR_A, LOW); 
digitalWrite(L_MOTOR_B, LOW);
}

// vzad
void L_MOTOR_REV(int pwm) 
{
digitalWrite(L_MOTOR_A, LOW); 
analogWrite(L_MOTOR_B, pwm);
}

void setup()
{
// definujeme piny jako výstupy  
pinMode(L_MOTOR_A,OUTPUT);
pinMode(L_MOTOR_B,OUTPUT);
pinMode(R_MOTOR_A,OUTPUT);
pinMode(R_MOTOR_B,OUTPUT);

R_MOTOR_STOP();
L_MOTOR_STOP();
delay(2000);
}

void loop()
{
// voláme funkce, v parametru nastavíme
// rychlost motorů v rozmení 0 až 255
R_MOTOR_FWD(240);
L_MOTOR_FWD(240);
delay(1000);
R_MOTOR_REV(150);
L_MOTOR_REV(150);
delay(1000);
R_MOTOR_STOP();
L_MOTOR_STOP();
delay(1000);
}





